Subject: Re: ftp client corrupts binary files with ^m ??
From: [email-masked] (Guido Roeskens)

5 Aug 1998 11:23:57 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Andrew Thompson <[email-masked]>
Cc: [email-masked]

Andrew Thompson wrote:

> I have ftp.exe installed on my system. When I get text files from other
> servers ftp works OK but when I set ftp to 'bin' and get a binary file the
> file comes out a little larger and (I Think) it has ^m's inserted into the
> binary code, hence it does not run.
>
> Do I need to mount everyting as "text=bin" on my system currently
> everyting is text=!bin??
>
> I do not understand how this system translates text files from unix type
> to dos type.
>
> Andrew Thompson

When ftp starts up it is in text (ascii) mode which does EOL
conversion("End-of Line" gets converted from 'LF' on Unix to 'CRLF' on DOS)

You have to change the transfer type to binary mode: Simply type "bin" as an
abbreviation for "binary". You can check the transfer type set with "type" or
with "status".

BTW: For help with ftp type "help" or "help <command>"Guido

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".